---
title: Provisioning
url: https://docs.vultr.com/products/storage/snapshots/provisioning
description: A process that prepares and configures a new server or service to make it ready for use.
publish_date: 2024-09-23T20:21:20.278583Z
last_updated: 2026-05-26T19:51:07.091947Z
---

# How to Manage Snapshots for Vultr Instances

Snapshots for Vultr instances are point-in-time images of your entire Cloud Compute instances hard drives. You can use snapshots to create backups or to replicate Cloud Compute instances. Unlike Automatic Backups for Vultr instances, you must take snapshots manually.

Follow this guide to manage Snapshots for Vultr instances using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Compute**.
    1. Select your target Cloud Compute instance from the list.
    1. Navigate to **Snapshots**, enter a label and click **Take Snapshot**.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) to get the Cloud Compute instance ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Create Snapshot** endpoint](https://www.vultr.com/api/#tag/snapshot/operation/create-snapshot) specifying a cloud compute instance ID to create a snapshot.

        ```console
        $ curl "https://api.vultr.com/v2/snapshots" \
            -X POST \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
                -H "Content-Type: application/json" \
                --data '{
                    "instance_id" : "instance_id",
                    "description" : "Weekly-Snapshot-14-08-2024"
                }'
        ```

        Visit the [**Create Snapshot** endpoint](https://www.vultr.com/api/#tag/snapshot/operation/create-snapshot) to view additional attributes to add to your request.

    1. Send a `GET` request to the [**List Snapshots** endpoint](https://www.vultr.com/api/#tag/snapshot/operation/list-snapshots) to view all snapshots.

        ```console
        $ curl "https://api.vultr.com/v2/snapshots" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. List all cloud compute instances and note the instance ID.

        ```console
        $ vultr-cli instance list
        ```

    1. Create a snapshot by specifying the Cloud Compute instance ID and the snapshot description.

        ```console
        $ vultr-cli snapshot create --id instance_id --description "Weekly Snapshot 14-08-2024"
        ```

    1. List all snapshots.

        ```console
        $ vultr-cli snapshot list
        ```

        Run `vultr-cli snapshot create --help` to view all options.

=== "Terraform"

    1. Create a snapshot from an existing instance.

        ```terraform
        resource "vultr_snapshot" "weekly" {
            instance_id = var.instance_id
            description = "Weekly-Snapshot-14-08-2024"
        }
        ```

    1. Optionally, boot a new instance from a snapshot by setting `snapshot_id`.

        ```terraform
        resource "vultr_instance" "from_snapshot" {
            region      = "ewr"
            plan        = "vc2-2c-4gb"
            label       = "restored"
            snapshot_id = vultr_snapshot.weekly.id
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 1 added, 0 changed, 0 destroyed.
        ```
